## wpa 1.0

=== hostapd/Makefile ===
ifndef CC
CC=gcc
endif

ifndef CFLAGS
CFLAGS = -MMD -O2 -Wall -g
endif

CFLAGS += -I../src
CFLAGS += -I../src/utils

# Uncomment following line and set the path to your kernel tree include
# directory if your C library does not include all header files.
# CFLAGS += -DUSE_KERNEL_HEADERS -I/usr/src/linux/include

-include .config

ifndef CONFIG_OS
ifdef CONFIG_NATIVE_WINDOWS
CONFIG_OS=win32
else
CONFIG_OS=unix
endif
endif

ifeq ($(CONFIG_OS), internal)
CFLAGS += -DOS_NO_C_LIB_DEFINES
endif

ifdef CONFIG_NATIVE_WINDOWS
CFLAGS += -DCONFIG_NATIVE_WINDOWS
LIBS += -lws2_32
endif

OBJS += main.o
OBJS += config_file.o

OBJS += ../src/ap/hostapd.o
OBJS += ../src/ap/wpa_auth_glue.o
OBJS += ../src/ap/drv_callbacks.o
OBJS += ../src/ap/ap_drv_ops.o
OBJS += ../src/ap/utils.o
OBJS += ../src/ap/authsrv.o
OBJS += ../src/ap/ieee802_1x.o
OBJS += ../src/ap/ap_config.o
OBJS += ../src/ap/ieee802_11_auth.o
OBJS += ../src/ap/sta_info.o
OBJS += ../src/ap/wpa_auth.o
OBJS += ../src/ap/tkip_countermeasures.o
OBJS += ../src/ap/ap_mlme.o
OBJS += ../src/ap/wpa_auth_ie.o
OBJS += ../src/ap/preauth_auth.o
OBJS += ../src/ap/pmksa_cache_auth.o
OBJS += ../src/ap/ieee802_11_shared.o
OBJS += ../src/ap/beacon.o

OBJS_c = hostapd_cli.o ../src/common/wpa_ctrl.o ../src/utils/os_$(CONFIG_OS).o

NEED_RC4=y
NEED_AES=y
NEED_MD5=y
NEED_SHA1=y

OBJS += ../src/drivers/drivers.o
CFLAGS += -DHOSTAPD

ifdef CONFIG_WPA_TRACE
CFLAGS += -DWPA_TRACE
OBJS += ../src/utils/trace.o
HOBJS += ../src/utils/trace.o
LDFLAGS += -rdynamic
CFLAGS += -funwind-tables
ifdef CONFIG_WPA_TRACE_BFD
CFLAGS += -DWPA_TRACE_BFD
LIBS += -lbfd
LIBS_c += -lbfd
LIBS_h += -lbfd
endif
endif

ifndef CONFIG_ELOOP
CONFIG_ELOOP=eloop
endif
OBJS += ../src/utils/$(CONFIG_ELOOP).o
OBJS_c += ../src/utils/$(CONFIG_ELOOP).o
OBJS += ../src/utils/common.o
OBJS += ../src/utils/wpa_debug.o
OBJS_c += ../src/utils/wpa_debug.o
OBJS += ../src/utils/wpabuf.o
OBJS += ../src/utils/os_$(CONFIG_OS).o
OBJS += ../src/utils/ip_addr.o

OBJS += ../src/common/ieee802_11_common.o
OBJS += ../src/common/wpa_common.o

OBJS += ../src/eapol_auth/eapol_auth_sm.o


ifndef CONFIG_NO_DUMP_STATE
# define HOSTAPD_DUMP_STATE to include SIGUSR1 handler for dumping state to
# a file (undefine it, if you want to save in binary size)
CFLAGS += -DHOSTAPD_DUMP_STATE
OBJS += dump_state.o
OBJS += ../src/eapol_auth/eapol_auth_dump.o
endif

ifdef CONFIG_NO_RADIUS
CFLAGS += -DCONFIG_NO_RADIUS
CONFIG_NO_ACCOUNTING=y
else
OBJS += ../src/radius/radius.o
OBJS += ../src/radius/radius_client.o
endif

ifdef CONFIG_NO_ACCOUNTING
CFLAGS += -DCONFIG_NO_ACCOUNTING
else
OBJS += ../src/ap/accounting.o
endif

ifdef CONFIG_NO_VLAN
CFLAGS += -DCONFIG_NO_VLAN
else
OBJS += ../src/ap/vlan_init.o
endif

ifdef CONFIG_NO_CTRL_IFACE
CFLAGS += -DCONFIG_NO_CTRL_IFACE
else
OBJS += ctrl_iface.o
OBJS += ../src/ap/ctrl_iface_ap.o
endif

OBJS += ../src/crypto/md5.o

CFLAGS += -DCONFIG_CTRL_IFACE -DCONFIG_CTRL_IFACE_UNIX

ifdef CONFIG_IAPP
CFLAGS += -DCONFIG_IAPP
OBJS += ../src/ap/iapp.o
endif

ifdef CONFIG_RSN_PREAUTH
CFLAGS += -DCONFIG_RSN_PREAUTH
CONFIG_L2_PACKET=y
endif

ifdef CONFIG_PEERKEY
CFLAGS += -DCONFIG_PEERKEY
OBJS += ../src/ap/peerkey_auth.o
endif

ifdef CONFIG_IEEE80211W
CFLAGS += -DCONFIG_IEEE80211W
NEED_SHA256=y
NEED_AES_OMAC1=y
endif

ifdef CONFIG_IEEE80211R
CFLAGS += -DCONFIG_IEEE80211R
OBJS += ../src/ap/wpa_auth_ft.o
NEED_SHA256=y
NEED_AES_OMAC1=y
NEED_AES_UNWRAP=y
endif

ifdef CONFIG_IEEE80211N
CFLAGS += -DCONFIG_IEEE80211N
endif

include ../src/drivers/drivers.mak
OBJS += $(DRV_AP_OBJS)
CFLAGS += $(DRV_AP_CFLAGS)
LDFLAGS += $(DRV_AP_LDFLAGS)
LIBS += $(DRV_AP_LIBS)

ifdef CONFIG_L2_PACKET
ifdef CONFIG_DNET_PCAP
ifdef CONFIG_L2_FREEBSD
LIBS += -lpcap
OBJS += ../src/l2_packet/l2_packet_freebsd.o
else
LIBS += -ldnet -lpcap
OBJS += ../src/l2_packet/l2_packet_pcap.o
endif
else
OBJS += ../src/l2_packet/l2_packet_linux.o
endif
else
OBJS += ../src/l2_packet/l2_packet_none.o
endif


ifdef CONFIG_EAP_MD5
CFLAGS += -DEAP_SERVER_MD5
OBJS += ../src/eap_server/eap_server_md5.o
CHAP=y
endif

ifdef CONFIG_EAP_TLS
CFLAGS += -DEAP_SERVER_TLS
OBJS += ../src/eap_server/eap_server_tls.o
TLS_FUNCS=y
endif

ifdef CONFIG_EAP_PEAP
CFLAGS += -DEAP_SERVER_PEAP
OBJS += ../src/eap_server/eap_server_peap.o
OBJS += ../src/eap_common/eap_peap_common.o
TLS_FUNCS=y
CONFIG_EAP_MSCHAPV2=y
endif

ifdef CONFIG_EAP_TTLS
CFLAGS += -DEAP_SERVER_TTLS
OBJS += ../src/eap_server/eap_server_ttls.o
TLS_FUNCS=y
CHAP=y
endif

ifdef CONFIG_EAP_MSCHAPV2
CFLAGS += -DEAP_SERVER_MSCHAPV2
OBJS += ../src/eap_server/eap_server_mschapv2.o
MS_FUNCS=y
endif

ifdef CONFIG_EAP_GTC
CFLAGS += -DEAP_SERVER_GTC
OBJS += ../src/eap_server/eap_server_gtc.o
endif

ifdef CONFIG_EAP_SIM
CFLAGS += -DEAP_SERVER_SIM
OBJS += ../src/eap_server/eap_server_sim.o
CONFIG_EAP_SIM_COMMON=y
NEED_AES_CBC=y
endif

ifdef CONFIG_EAP_AKA
CFLAGS += -DEAP_SERVER_AKA
OBJS += ../src/eap_server/eap_server_aka.o
CONFIG_EAP_SIM_COMMON=y
NEED_SHA256=y
NEED_AES_CBC=y
endif

ifdef CONFIG_EAP_AKA_PRIME
CFLAGS += -DEAP_SERVER_AKA_PRIME
endif

ifdef CONFIG_EAP_SIM_COMMON
OBJS += ../src/eap_common/eap_sim_common.o
# Example EAP-SIM/AKA interface for GSM/UMTS authentication. This can be
# replaced with another file implementating the interface specified in
# eap_sim_db.h.
OBJS += ../src/eap_server/eap_sim_db.o
NEED_FIPS186_2_PRF=y
endif

ifdef CONFIG_EAP_PAX
CFLAGS += -DEAP_SERVER_PAX
OBJS += ../src/eap_server/eap_server_pax.o ../src/eap_common/eap_pax_common.o
endif

ifdef CONFIG_EAP_PSK
CFLAGS += -DEAP_SERVER_PSK
OBJS += ../src/eap_server/eap_server_psk.o ../src/eap_common/eap_psk_common.o
NEED_AES_OMAC1=y
NEED_AES_ENCBLOCK=y
NEED_AES_EAX=y
endif

ifdef CONFIG_EAP_SAKE
CFLAGS += -DEAP_SERVER_SAKE
OBJS += ../src/eap_server/eap_server_sake.o ../src/eap_common/eap_sake_common.o
endif

ifdef CONFIG_EAP_GPSK
CFLAGS += -DEAP_SERVER_GPSK
OBJS += ../src/eap_server/eap_server_gpsk.o ../src/eap_common/eap_gpsk_common.o
ifdef CONFIG_EAP_GPSK_SHA256
CFLAGS += -DEAP_SERVER_GPSK_SHA256
endif
NEED_SHA256=y
NEED_AES_OMAC1=y
endif

ifdef CONFIG_EAP_PWD
CFLAGS += -DEAP_SERVER_PWD
OBJS += ../src/eap_server/eap_server_pwd.o ../src/eap_common/eap_pwd_common.o
NEED_SHA256=y
endif

ifdef CONFIG_EAP_VENDOR_TEST
CFLAGS += -DEAP_SERVER_VENDOR_TEST
OBJS += ../src/eap_server/eap_server_vendor_test.o
endif

ifdef CONFIG_EAP_FAST
CFLAGS += -DEAP_SERVER_FAST
OBJS += ../src/eap_server/eap_server_fast.o
OBJS += ../src/eap_common/eap_fast_common.o
TLS_FUNCS=y
NEED_T_PRF=y
NEED_AES_UNWRAP=y
endif

ifdef CONFIG_WPS
ifdef CONFIG_WPS2
CFLAGS += -DCONFIG_WPS2
endif

CFLAGS += -DCONFIG_WPS -DEAP_SERVER_WSC
OBJS += ../src/utils/uuid.o
OBJS += ../src/ap/wps_hostapd.o
OBJS += ../src/eap_server/eap_server_wsc.o ../src/eap_common/eap_wsc_common.o
OBJS += ../src/wps/wps.o
OBJS += ../src/wps/wps_common.o
OBJS += ../src/wps/wps_attr_parse.o
OBJS += ../src/wps/wps_attr_build.o
OBJS += ../src/wps/wps_attr_process.o
OBJS += ../src/wps/wps_dev_attr.o
OBJS += ../src/wps/wps_enrollee.o
OBJS += ../src/wps/wps_registrar.o
NEED_DH_GROUPS=y
NEED_SHA256=y
NEED_BASE64=y
NEED_AES_CBC=y
NEED_MODEXP=y
CONFIG_EAP=y

ifdef CONFIG_WPS_UFD
CFLAGS += -DCONFIG_WPS_UFD
OBJS += ../src/wps/wps_ufd.o
NEED_WPS_OOB=y
endif

ifdef CONFIG_WPS_NFC
CFLAGS += -DCONFIG_WPS_NFC
OBJS += ../src/wps/ndef.o
OBJS += ../src/wps/wps_nfc.o
NEED_WPS_OOB=y
ifdef CONFIG_WPS_NFC_PN531
PN531_PATH ?= /usr/local/src/nfc
CFLAGS += -DCONFIG_WPS_NFC_PN531
CFLAGS += -I${PN531_PATH}/inc
OBJS += ../src/wps/wps_nfc_pn531.o
LIBS += ${PN531_PATH}/lib/wpsnfc.dll
LIBS += ${PN531_PATH}/lib/libnfc_mapping_pn53x.dll
endif
endif

ifdef NEED_WPS_OOB
CFLAGS += -DCONFIG_WPS_OOB
endif

ifdef CONFIG_WPS_UPNP
CFLAGS += -DCONFIG_WPS_UPNP
OBJS += ../src/wps/wps_upnp.o
OBJS += ../src/wps/wps_upnp_ssdp.o
OBJS += ../src/wps/wps_upnp_web.o
OBJS += ../src/wps/wps_upnp_event.o
OBJS += ../src/wps/wps_upnp_ap.o
OBJS += ../src/wps/upnp_xml.o
OBJS += ../src/wps/httpread.o
OBJS += ../src/wps/http_client.o
OBJS += ../src/wps/http_server.o
endif

ifdef CONFIG_WPS_STRICT
CFLAGS += -DCONFIG_WPS_STRICT
OBJS += ../src/wps/wps_validate.o
endif

ifdef CONFIG_WPS_TESTING
CFLAGS += -DCONFIG_WPS_TESTING
endif

endif

ifdef CONFIG_EAP_IKEV2
CFLAGS += -DEAP_SERVER_IKEV2
OBJS += ../src/eap_server/eap_server_ikev2.o ../src/eap_server/ikev2.o
OBJS += ../src/eap_common/eap_ikev2_common.o ../src/eap_common/ikev2_common.o
NEED_DH_GROUPS=y
NEED_DH_GROUPS_ALL=y
NEED_MODEXP=y
NEED_CIPHER=y
endif

ifdef CONFIG_EAP_TNC
CFLAGS += -DEAP_SERVER_TNC
OBJS += ../src/eap_server/eap_server_tnc.o
OBJS += ../src/eap_server/tncs.o
NEED_BASE64=y
ifndef CONFIG_DRIVER_BSD
LIBS += -ldl
endif
endif

# Basic EAP functionality is needed for EAPOL
OBJS += eap_register.o
OBJS += ../src/eap_server/eap_server.o
OBJS += ../src/eap_common/eap_common.o
OBJS += ../src/eap_server/eap_server_methods.o
OBJS += ../src/eap_server/eap_server_identity.o
CFLAGS += -DEAP_SERVER_IDENTITY

ifdef CONFIG_EAP
CFLAGS += -DEAP_SERVER
endif

ifdef CONFIG_PKCS12
CFLAGS += -DPKCS12_FUNCS
endif

ifdef MS_FUNCS
OBJS += ../src/crypto/ms_funcs.o
NEED_DES=y
NEED_MD4=y
endif

ifdef CHAP
OBJS += ../src/eap_common/chap.o
endif

ifdef TLS_FUNCS
NEED_DES=y
# Shared TLS functions (needed for EAP_TLS, EAP_PEAP, and EAP_TTLS)
CFLAGS += -DEAP_TLS_FUNCS
OBJS += ../src/eap_server/eap_server_tls_common.o
NEED_TLS_PRF=y
endif

ifndef CONFIG_TLS
CONFIG_TLS=openssl
endif

ifdef CONFIG_TLSV11
CFLAGS += -DCONFIG_TLSV11
endif

ifeq ($(CONFIG_TLS), openssl)
ifdef TLS_FUNCS
OBJS += ../src/crypto/tls_openssl.o
LIBS += -lssl
endif
OBJS += ../src/crypto/crypto_openssl.o
HOBJS += ../src/crypto/crypto_openssl.o
ifdef NEED_FIPS186_2_PRF
OBJS += ../src/crypto/fips_prf_openssl.o
endif
LIBS += -lcrypto
LIBS_h += -lcrypto
endif

ifeq ($(CONFIG_TLS), gnutls)
ifdef TLS_FUNCS
OBJS += ../src/crypto/tls_gnutls.o
LIBS += -lgnutls -lgpg-error
endif
OBJS += ../src/crypto/crypto_gnutls.o
HOBJS += ../src/crypto/crypto_gnutls.o
ifdef NEED_FIPS186_2_PRF
OBJS += ../src/crypto/fips_prf_gnutls.o
endif
LIBS += -lgcrypt
LIBS_h += -lgcrypt
CONFIG_INTERNAL_SHA256=y
CONFIG_INTERNAL_RC4=y
CONFIG_INTERNAL_DH_GROUP5=y
endif

ifeq ($(CONFIG_TLS), schannel)
ifdef TLS_FUNCS
OBJS += ../src/crypto/tls_schannel.o
endif
OBJS += ../src/crypto/crypto_cryptoapi.o
OBJS_p += ../src/crypto/crypto_cryptoapi.o
CONFIG_INTERNAL_SHA256=y
CONFIG_INTERNAL_RC4=y
CONFIG_INTERNAL_DH_GROUP5=y
endif

ifeq ($(CONFIG_TLS), nss)
ifdef TLS_FUNCS
OBJS += ../src/crypto/tls_nss.o
LIBS += -lssl3
endif
OBJS += ../src/crypto/crypto_nss.o
ifdef NEED_FIPS186_2_PRF
OBJS += ../src/crypto/fips_prf_nss.o
endif
LIBS += -lnss3
LIBS_h += -lnss3
CONFIG_INTERNAL_MD4=y
CONFIG_INTERNAL_DH_GROUP5=y
endif

ifeq ($(CONFIG_TLS), internal)
ifndef CONFIG_CRYPTO
CONFIG_CRYPTO=internal
endif
ifdef TLS_FUNCS
OBJS += ../src/crypto/crypto_internal-rsa.o
OBJS += ../src/crypto/tls_internal.o
OBJS += ../src/tls/tlsv1_common.o
OBJS += ../src/tls/tlsv1_record.o
OBJS += ../src/tls/tlsv1_cred.o
OBJS += ../src/tls/tlsv1_server.o
OBJS += ../src/tls/tlsv1_server_write.o
OBJS += ../src/tls/tlsv1_server_read.o
OBJS += ../src/tls/asn1.o
OBJS += ../src/tls/rsa.o
OBJS += ../src/tls/x509v3.o
OBJS += ../src/tls/pkcs1.o
OBJS += ../src/tls/pkcs5.o
OBJS += ../src/tls/pkcs8.o
NEED_SHA256=y
NEED_BASE64=y
NEED_TLS_PRF=y
NEED_MODEXP=y
NEED_CIPHER=y
CFLAGS += -DCONFIG_TLS_INTERNAL
CFLAGS += -DCONFIG_TLS_INTERNAL_SERVER
endif
ifdef NEED_CIPHER
NEED_DES=y
OBJS += ../src/crypto/crypto_internal-cipher.o
endif
ifdef NEED_MODEXP
OBJS += ../src/crypto/crypto_internal-modexp.o
OBJS += ../src/tls/bignum.o
endif
ifeq ($(CONFIG_CRYPTO), libtomcrypt)
OBJS += ../src/crypto/crypto_libtomcrypt.o
LIBS += -ltomcrypt -ltfm
LIBS_h += -ltomcrypt -ltfm
CONFIG_INTERNAL_SHA256=y
CONFIG_INTERNAL_RC4=y
CONFIG_INTERNAL_DH_GROUP5=y
endif
ifeq ($(CONFIG_CRYPTO), internal)
OBJS += ../src/crypto/crypto_internal.o
NEED_AES_DEC=y
CFLAGS += -DCONFIG_CRYPTO_INTERNAL
ifdef CONFIG_INTERNAL_LIBTOMMATH
CFLAGS += -DCONFIG_INTERNAL_LIBTOMMATH
ifdef CONFIG_INTERNAL_LIBTOMMATH_FAST
CFLAGS += -DLTM_FAST
endif
else
LIBS += -ltommath
LIBS_h += -ltommath
endif
CONFIG_INTERNAL_AES=y

=== debian/changelog ===
wpa (1.0-3+deb7u5) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * Fix multiple issues in WPA protocol, branded as the "KRACK"
    vulnerability (CVE-2017-13077, CVE-2017-13078, CVE-2017-13079,
    CVE-2017-13080, CVE-2017-13081, CVE-2017-13082, CVE-2017-13086,
    CVE-2017-13087, CVE-2017-13088)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 23 Oct 2017 17:09:19 -0400

wpa (1.0-3+deb7u4) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2016-4476 and CVE-2016-4477.
    A vulnerability was found in how hostapd and wpa_supplicant writes the
    configuration file update for the WPA/WPA2 passphrase parameter. If this
    parameter has been updated to include control characters either through a
    WPS operation (CVE-2016-4476) or through local configuration change over
    the wpa_supplicant control interface (CVE-2016-4477), the resulting
    configuration file may prevent the hostapd and wpa_supplicant from starting
    when the updated file is used. In addition for wpa_supplicant, it may be
    possible to load a local library file and execute code from there with the
    same privileges under which the wpa_supplicant process runs.

 -- Markus Koschany <apo@debian.org>  Sat, 14 May 2016 22:37:10 +0200

wpa (1.0-3+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add patch to address CVE-2015-4141.
    CVE-2015-4141: WPS UPnP vulnerability with HTTP chunked transfer
    encoding. (Closes: #787372)
  * Add patch to address CVE-2015-4142.
    CVE-2015-4142: Integer underflow in AP mode WMM Action frame processing.
    (Closes: #787373)
  * Add patches to address CVE-2015-4143.
    CVE-2015-4143: EAP-pwd missing payload length validation. (Closes: #787371)
  * Add patch to address 2015-5 vulnerability.
    NFC: Fix payload length validation in NDEF record parser.
    Note that this issue does not affect the binary packages distributed in
    Debian in Wheezy as CONFIG_WPS_NFC=y is not set in the build
    configuration. (Closes: #795740)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 31 Oct 2015 12:08:04 +0100

wpa (1.0-3+deb7u2) wheezy-security; urgency=high

  * import "P2P: Validate SSID element length before copying it
    (CVE-2015-1863)" from upstream (Closes: #783148); this is essentially a
    no-op for the wheezy binaries distributed by Debian, as CONFIG_P2P is
    disabled there.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 23 Apr 2015 19:56:11 +0200

wpa (1.0-3+deb7u1) wheezy-security; urgency=high

  * Apply upstream patches for CVE-2014-3686 (Closes: #765352):
    - add os_exec() helper to run external programs
    - wpa_cli: Use os_exec() for action script execution
    - hostapd_cli: Use os_exec() for action script execution

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 15 Oct 2014 23:32:54 +0200

wpa (1.0-3) unstable; urgency=high

  * ship forgotten README-P2P.
  * revert to GNU readline for wpa_cli, instead of using the internal readline
    implementation added in wpa 1~. Prefer libreadline-gplv2-dev, because libnl
    is GPL-2 (only) - switching back to the internal readline implementation is
    targeted for wheezy+1 (Closes: #677993, #678077).
  * Fix DoS via specially crafted EAP-TLS messages with longer message
    length than TLS data length (CVE-2012-4445, DSA 2557-1, Closes: #689990).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 08 Oct 2012 17:48:04 +0200

wpa (1.0-2) unstable; urgency=low

  * Really enable hardened build flags, thanks Simon Ruderich
    <simon@ruderich.org>. (Closes: #657332)
  * Do not suppress compilation output, set V=1.

 -- Kel Modderman <kel@otaku42.de>  Mon, 14 May 2012 06:39:13 +1000

wpa (1.0-1) unstable; urgency=low

  [ Stefan Lippers-Hollmann ]
  * New upstream release, no code changes since 1.0~rc3.
  * upload to unstable, to fix FTBS with gcc-4.7.
  * update debian/README.source.

  [ Kel Modderman ]
  * No longer explicitly add --as-needed to LDFLAGS, it is no longer
    required since wpa_cli stopped linking to libreadline (WPA_CLI_EDIT=y).

 -- Kel Modderman <kel@otaku42.de>  Fri, 11 May 2012 13:58:51 +1000

wpa (1.0~rc3-1) experimental; urgency=low

  [ Stefan Lippers-Hollmann ]
  * import new upstream snapshot 1.0-rc3:
    - fixes:
      - hostapd: Fails to authenticate on wpa2 password (Closes: #483924)
      - hostapd: EAPOL reauthentication/rekeying timeout loop when using WMM
        (Closes: #655129, #659059)
    - rebase patches:
      - libnl3-includes
    - update hostapd configs.
    - update wpa_supplicant configs.
  * merge source packages for hostapd and wpasupplicant under the new name
    "wpa", which is also used by upstream.
  * restrict wpasupplicant to linux-any and kfreebsd-any, hurd lacks kernel
    support.
  * bump standards version to 3.9.3, no changes necessary.
  * update dep-5 version to final 1.0, no changes necessary:
    - order licenses alphabetically.
  * build-depend on docbook-to-man explicitly.
  * convert packaging to Multi-Arch, bump compat level to 9 and debhelper
    build-dependency accordingly; all binaries are Multi-Arch=foreign.
  * update debian/copyright for wpa 1.0~rc2 and merged sources.
  * fix clean target and make sure to succeed building twice in a row.
  * drop build-dependency on libreadline-dev, it's no longer needed with
    WPA_CLI_EDIT.
  * remove watch file, there is no corresponding upstream tarballs at the
    moment.
  * add (temporary?) get-orig-source target to debian/rules, which fetches the
    last tagged upstream version corresponding to debian/changelog.
    - add a lintian override for this, upstream doesn't want to release
      tarballs at the moment.
  * use epoche only for hostapd binaries.

  [ Kel Modderman ]
  * export BINDIR=/sbin, the build system now requires it when patching
    D-Bus/systemd configuration.
  * quieten the upstream build system so that errors/warning are more visible.


=== debian/control ===
Source: wpa
Section: net
Priority: optional
Maintainer: Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>
Uploaders: Kel Modderman <kel@otaku42.de>,
 Stefan Lippers-Hollmann <s.l-h@gmx.de>,
 Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper (>> 9.20120115),
 libdbus-glib-1-dev,
 libssl-dev,
 libqt4-dev,
 libdbus-1-dev,
 libncurses5-dev,
 libpcsclite-dev,
 libnl-3-dev (>= 3.2.3-2~) [linux-any],
 libnl-genl-3-dev (>= 3.2.3-2~) [linux-any],
 libpcap-dev [kfreebsd-any],
 libbsd-dev [kfreebsd-any],
 libreadline-gplv2-dev,
 pkg-config,
 qt4-qmake,
 docbook-to-man,
 docbook-utils
Build-Conflicts: libqt3-dev
Standards-Version: 3.9.3
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-wpa/wpa/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-wpa/wpa/trunk/
Homepage: http://w1.fi/wpa_supplicant/

Package: hostapd
Architecture: linux-any kfreebsd-any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-13), initscripts (>= 2.88dsf-13.3)
Description: user space IEEE 802.11 AP and IEEE 802.1X/WPA/WPA2/EAP Authenticator
 Originally, hostapd was an optional user space component for Host AP
 driver. It adds more features to the basic IEEE 802.11 management
 included in the kernel driver: using external RADIUS authentication
 server for MAC address based access control, IEEE 802.1X Authenticator
 and dynamic WEP keying, RADIUS accounting, WPA/WPA2 (IEEE 802.11i/RSN)
 Authenticator and dynamic TKIP/CCMP keying.
 .
 The current version includes support for other drivers, an integrated
 EAP authenticator (i.e., allow full authentication without requiring
 an external RADIUS authentication server), and RADIUS authentication
 server for EAP authentication.
 .
 hostapd works with the following drivers:
 .
  * mac80211 based drivers with support for master mode [linux]
  * Host AP driver for Prism2/2.5/3 [linux]
  * Driver interface for FreeBSD net80211 layer [kfreebsd]
  * Any wired Ethernet driver for wired IEEE 802.1X authentication.

Package: wpagui
Architecture: linux-any kfreebsd-any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, wpasupplicant (>= 0.7.3~), libqt4-svg
Recommends: menu
Description: graphical user interface for wpa_supplicant
 wpagui provides a Qt interface for choosing which configured network
 to connect to. It also provides a method for browsing 802.11 SSID scan
 results, an event history log of messages generated by wpa_supplicant,
 and a method to add or edit wpa_supplicant networks.

Package: wpasupplicant
Architecture: linux-any kfreebsd-any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), adduser, initscripts (>= 2.88dsf-13.3)
Suggests: wpagui, libengine-pkcs11-openssl
Description: client support for WPA and WPA2 (IEEE 802.11i)
 WPA and WPA2 are methods for securing wireless networks, the former
 using IEEE 802.1X, and the latter using IEEE 802.11i. This software
 provides key negotiation with the WPA Authenticator, and controls
 association with IEEE 802.11i networks.

Package: wpasupplicant-udeb
Section: debian-installer
Priority: standard
Architecture: linux-any
Package-Type: udeb
Depends: ${shlibs:Depends}, ${misc:Depends}, busybox-udeb
Description: Client support for WPA and WPA2 (IEEE 802.11i)
 WPA and WPA2 are methods for securing wireless networks, the former
 using IEEE 802.1X, and the latter using IEEE 802.11i. This software
 provides key negotiation with the WPA Authenticator, and controls
 association with IEEE 802.11i networks.
 .
 This is a udeb of wpasupplicant for use by the debian-installer.

## wpa 1.4.3

=== DESCRIPTION ===
Package: wpa
Type: Package
Title: Tools for Analysing and Visualising Workplace Analytics Data
Version: 1.4.3
Authors@R: c(
    person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
    person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
    person(given = "Mark", family = "Powers", role = "ctb", email = "mark.powers@microsoft.com"),
    person(given = "Ainize", family = "Cidoncha", role = "ctb", email = "ainize.cidoncha@microsoft.com"),
    person(given = "Rosamary", family = "Ochoa Vargas", role = "ctb", email = "rosamary.ochoa@microsoft.com"),
    person(given = "Tannaz", family = "Sattari", role = "ctb", email = "tannaz.sattari@microsoft.com"),
    person(given = "Lucas", family = "Hogner", role = "ctb", email = "lucas.hogner@microsoft.com"),
    person(given = "Jasminder", family = "Thind", role = "ctb", email = "jasminder.thind@microsoft.com"),
    person(given = "Simone", family = "Liebal", role = "ctb", email = "simone.liebal@microsoft.com"),
    person(given = "Ellen", family = "Trinklein", role = "ctb"),
    person(given = "Microsoft Corporation", role = "cph")
	)
Description: Opinionated functions that enable easier and faster
    analysis of Workplace Analytics data. There are three main types of functions in 'wpa':
    (i) Standard functions create a 'ggplot' visual or a summary table based on a specific
    Workplace Analytics metric; (2) Report Generation functions generate HTML reports on
    a specific analysis area, e.g. Collaboration; (3) Other miscellaneous functions cover
    more specific applications (e.g. Subject Line text mining) of Workplace Analytics data.
    This package adheres to 'tidyverse' principles and works well with the pipe syntax.
    'wpa' is built with the beginner-to-intermediate R users in mind, and is optimised for
    simplicity. 
URL: https://github.com/microsoft/wpa/
BugReports: https://github.com/microsoft/wpa/issues/
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.1.2)
Imports: dplyr, stats, utils, tidyr, tidyselect (>= 1.0.0), magrittr,
        purrr, reshape2, ggplot2, ggrepel, scales, htmltools, markdown,
        rmarkdown, networkD3, DT, tidytext, ggraph, igraph, proxy,
        ggwordcloud, methods, data.table
RoxygenNote: 7.1.1
VignetteBuilder: knitr
Suggests: knitr, extrafont, leiden, lifecycle, fst, glue
Language: en-US
NeedsCompilation: no
Packaged: 2021-04-02 12:10:03 UTC; martinchan
Author: Martin Chan [aut, cre],
  Carlos Morales [aut],
  Mark Powers [ctb],
  Ainize Cidoncha [ctb],
  Rosamary Ochoa Vargas [ctb],
  Tannaz Sattari [ctb],
  Lucas Hogner [ctb],
  Jasminder Thind [ctb],
  Simone Liebal [ctb],
  Ellen Trinklein [ctb],
  Microsoft Corporation [cph]
Maintainer: Martin Chan <martin.chan@microsoft.com>
Repository: CRAN
Date/Publication: 2021-04-06 07:50:03 UTC

## wpa 1.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Workplace Analytics Data
-Version: 1.4.3
+Version: 1.5.0
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -39,7 +39,7 @@
 Suggests: knitr, extrafont, leiden, lifecycle, fst, glue
 Language: en-US
 NeedsCompilation: no
-Packaged: 2021-04-02 12:10:03 UTC; martinchan
+Packaged: 2021-05-10 22:26:16 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -53,4 +53,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2021-04-06 07:50:03 UTC
+Date/Publication: 2021-05-11 04:20:02 UTC

## wpa 1.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Workplace Analytics Data
-Version: 1.5.0
+Version: 1.6.0
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -12,6 +12,7 @@
     person(given = "Lucas", family = "Hogner", role = "ctb", email = "lucas.hogner@microsoft.com"),
     person(given = "Jasminder", family = "Thind", role = "ctb", email = "jasminder.thind@microsoft.com"),
     person(given = "Simone", family = "Liebal", role = "ctb", email = "simone.liebal@microsoft.com"),
+	person(given = "Aleksey", family = "Ashikhmin", role = "ctb", email = "alashi@microsoft.com"),
     person(given = "Ellen", family = "Trinklein", role = "ctb"),
     person(given = "Microsoft Corporation", role = "cph")
 	)
@@ -36,10 +37,11 @@
         ggwordcloud, methods, data.table
 RoxygenNote: 7.1.1
 VignetteBuilder: knitr
-Suggests: knitr, extrafont, leiden, lifecycle, fst, glue
+Suggests: knitr, extrafont, leiden, lifecycle, fst, glue,
+        flexdashboard, lmtest, portes, sandwich
 Language: en-US
 NeedsCompilation: no
-Packaged: 2021-05-10 22:26:16 UTC; martinchan
+Packaged: 2021-07-06 09:02:32 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -49,8 +51,9 @@
   Lucas Hogner [ctb],
   Jasminder Thind [ctb],
   Simone Liebal [ctb],
+  Aleksey Ashikhmin [ctb],
   Ellen Trinklein [ctb],
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2021-05-11 04:20:02 UTC
+Date/Publication: 2021-07-06 09:30:02 UTC

## wpa 1.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Workplace Analytics Data
-Version: 1.6.0
+Version: 1.6.1
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -41,7 +41,7 @@
         flexdashboard, lmtest, portes, sandwich
 Language: en-US
 NeedsCompilation: no
-Packaged: 2021-07-06 09:02:32 UTC; martinchan
+Packaged: 2021-09-01 08:15:20 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -56,4 +56,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2021-07-06 09:30:02 UTC
+Date/Publication: 2021-09-01 09:00:02 UTC

## wpa 1.6.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Workplace Analytics Data
-Version: 1.6.1
+Version: 1.6.2
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -35,13 +35,12 @@
         purrr, reshape2, ggplot2, ggrepel, scales, htmltools, markdown,
         rmarkdown, networkD3, DT, tidytext, ggraph, igraph, proxy,
         ggwordcloud, methods, data.table
-RoxygenNote: 7.1.1
-VignetteBuilder: knitr
+RoxygenNote: 7.1.2
 Suggests: knitr, extrafont, leiden, lifecycle, fst, glue,
         flexdashboard, lmtest, portes, sandwich
 Language: en-US
 NeedsCompilation: no
-Packaged: 2021-09-01 08:15:20 UTC; martinchan
+Packaged: 2021-10-15 14:15:46 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -56,4 +55,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2021-09-01 09:00:02 UTC
+Date/Publication: 2021-10-15 14:50:02 UTC

## wpa 1.6.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Workplace Analytics Data
-Version: 1.6.2
+Version: 1.6.3
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -40,7 +40,7 @@
         flexdashboard, lmtest, portes, sandwich
 Language: en-US
 NeedsCompilation: no
-Packaged: 2021-10-15 14:15:46 UTC; martinchan
+Packaged: 2021-11-21 00:13:47 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -55,4 +55,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2021-10-15 14:50:02 UTC
+Date/Publication: 2021-11-21 05:30:02 UTC

## wpa 1.6.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Workplace Analytics Data
-Version: 1.6.3
+Version: 1.6.4
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -40,7 +40,7 @@
         flexdashboard, lmtest, portes, sandwich
 Language: en-US
 NeedsCompilation: no
-Packaged: 2021-11-21 00:13:47 UTC; martinchan
+Packaged: 2022-01-19 15:25:30 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -55,4 +55,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2021-11-21 05:30:02 UTC
+Date/Publication: 2022-01-19 15:50:02 UTC

## wpa 1.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
-Title: Tools for Analysing and Visualising Workplace Analytics Data
-Version: 1.6.4
+Title: Tools for Analysing and Visualising Viva Insights Data
+Version: 1.7.0
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -17,11 +17,11 @@
     person(given = "Microsoft Corporation", role = "cph")
 	)
 Description: Opinionated functions that enable easier and faster
-    analysis of Workplace Analytics data. There are three main types of functions in 'wpa':
+    analysis of Viva Insights data. There are three main types of functions in 'wpa':
     (i) Standard functions create a 'ggplot' visual or a summary table based on a specific
-    Workplace Analytics metric; (2) Report Generation functions generate HTML reports on
+    Viva Insights metric; (2) Report Generation functions generate HTML reports on
     a specific analysis area, e.g. Collaboration; (3) Other miscellaneous functions cover
-    more specific applications (e.g. Subject Line text mining) of Workplace Analytics data.
+    more specific applications (e.g. Subject Line text mining) of Viva Insights data.
     This package adheres to 'tidyverse' principles and works well with the pipe syntax.
     'wpa' is built with the beginner-to-intermediate R users in mind, and is optimised for
     simplicity. 
@@ -35,12 +35,12 @@
         purrr, reshape2, ggplot2, ggrepel, scales, htmltools, markdown,
         rmarkdown, networkD3, DT, tidytext, ggraph, igraph, proxy,
         ggwordcloud, methods, data.table
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.0
 Suggests: knitr, extrafont, leiden, lifecycle, fst, glue,
-        flexdashboard, lmtest, portes, sandwich
+        flexdashboard, lmtest, sandwich
 Language: en-US
 NeedsCompilation: no
-Packaged: 2022-01-19 15:25:30 UTC; martinchan
+Packaged: 2022-06-06 13:35:25 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -55,4 +55,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2022-01-19 15:50:02 UTC
+Date/Publication: 2022-06-09 11:30:02 UTC

## wpa 1.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Viva Insights Data
-Version: 1.7.0
+Version: 1.8.0
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -37,10 +37,11 @@
         ggwordcloud, methods, data.table
 RoxygenNote: 7.2.0
 Suggests: knitr, extrafont, leiden, lifecycle, fst, glue,
-        flexdashboard, lmtest, sandwich
+        flexdashboard, lmtest, sandwich, testthat (>= 3.0.0)
 Language: en-US
+Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2022-06-06 13:35:25 UTC; martinchan
+Packaged: 2022-07-05 14:56:17 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -55,4 +56,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2022-06-09 11:30:02 UTC
+Date/Publication: 2022-07-05 15:40:02 UTC

## wpa 1.8.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Viva Insights Data
-Version: 1.8.0
+Version: 1.8.1
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -41,7 +41,7 @@
 Language: en-US
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2022-07-05 14:56:17 UTC; martinchan
+Packaged: 2023-01-27 11:00:49 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -56,4 +56,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2022-07-05 15:40:02 UTC
+Date/Publication: 2023-01-30 15:00:02 UTC

## wpa 1.9.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Viva Insights Data
-Version: 1.8.1
+Version: 1.9.0
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -35,13 +35,13 @@
         purrr, reshape2, ggplot2, ggrepel, scales, htmltools, markdown,
         rmarkdown, networkD3, DT, tidytext, ggraph, igraph, proxy,
         ggwordcloud, methods, data.table
-RoxygenNote: 7.2.0
-Suggests: knitr, extrafont, leiden, lifecycle, fst, glue,
-        flexdashboard, lmtest, sandwich, testthat (>= 3.0.0)
+RoxygenNote: 7.2.3
+Suggests: knitr, extrafont, lifecycle, fst, glue, flexdashboard,
+        lmtest, sandwich, testthat (>= 3.0.0)
 Language: en-US
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2023-01-27 11:00:49 UTC; martinchan
+Packaged: 2023-08-21 12:41:56 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -56,4 +56,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2023-01-30 15:00:02 UTC
+Date/Publication: 2023-08-21 15:00:02 UTC

## wpa 1.9.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Viva Insights Data
-Version: 1.9.0
+Version: 1.9.1
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -25,7 +25,8 @@
     This package adheres to 'tidyverse' principles and works well with the pipe syntax.
     'wpa' is built with the beginner-to-intermediate R users in mind, and is optimised for
     simplicity. 
-URL: https://github.com/microsoft/wpa/
+URL: https://github.com/microsoft/wpa/,
+        https://microsoft.github.io/wpa/
 BugReports: https://github.com/microsoft/wpa/issues/
 License: MIT + file LICENSE
 Encoding: UTF-8
@@ -35,13 +36,13 @@
         purrr, reshape2, ggplot2, ggrepel, scales, htmltools, markdown,
         rmarkdown, networkD3, DT, tidytext, ggraph, igraph, proxy,
         ggwordcloud, methods, data.table
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 Suggests: knitr, extrafont, lifecycle, fst, glue, flexdashboard,
         lmtest, sandwich, testthat (>= 3.0.0)
 Language: en-US
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2023-08-21 12:41:56 UTC; martinchan
+Packaged: 2024-06-06 12:00:32 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -56,4 +57,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2023-08-21 15:00:02 UTC
+Date/Publication: 2024-06-06 13:20:02 UTC

## wpa 1.9.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Viva Insights Data
-Version: 1.9.1
+Version: 1.9.2
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -36,13 +36,13 @@
         purrr, reshape2, ggplot2, ggrepel, scales, htmltools, markdown,
         rmarkdown, networkD3, DT, tidytext, ggraph, igraph, proxy,
         ggwordcloud, methods, data.table
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 Suggests: knitr, extrafont, lifecycle, fst, glue, flexdashboard,
         lmtest, sandwich, testthat (>= 3.0.0)
 Language: en-US
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2024-06-06 12:00:32 UTC; martinchan
+Packaged: 2025-05-28 13:59:53 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -57,4 +57,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2024-06-06 13:20:02 UTC
+Date/Publication: 2025-05-28 14:50:02 UTC

## wpa 1.10.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Viva Insights Data
-Version: 1.9.2
+Version: 1.10.0
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -42,7 +42,7 @@
 Language: en-US
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2025-05-28 13:59:53 UTC; martinchan
+Packaged: 2025-08-26 11:36:41 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -57,4 +57,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2025-05-28 14:50:02 UTC
+Date/Publication: 2025-08-26 12:20:02 UTC

## wpa 1.10.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Viva Insights Data
-Version: 1.10.0
+Version: 1.10.1
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -42,7 +42,7 @@
 Language: en-US
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2025-08-26 11:36:41 UTC; martinchan
+Packaged: 2026-01-16 16:51:05 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -57,4 +57,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2025-08-26 12:20:02 UTC
+Date/Publication: 2026-01-16 18:00:02 UTC
